# Flux 2 Lora Gallery · Multiple Angles API

> เรนเดอร์วัตถุใหม่จากมุมกล้องอื่นโดยใช้การควบคุมแนวนอน แนวตั้ง และการซูม

รับภาพใน `image_urls` แล้วเรนเดอร์ตัวแบบใหม่จากมุมมองอื่น `horizontal_angle` มีค่าตั้งแต่ 0 ถึง 360 องศารอบวัตถุ `vertical_angle` มีค่าตั้งแต่ 0 ถึง 60 องศา ตั้งแต่ระดับสายตาจนถึงมุมสูง และ `zoom` มีค่าตั้งแต่ 0 ถึง 10 ตั้งแต่มุมกว้างจนถึงภาพระยะใกล้ `lora_scale` กำหนดความเข้มของเอฟเฟกต์ และส่งคืนภาพได้สูงสุด 4 ภาพ

- Model id: `flux-2-lora-gallery/multiple-angles`
- Made by: Black Forest Labs
- Category: Image Editing
- Output: image
- Estimated price per run: $0.021 / image (cheapest run $0.021 (21 API credits))
- Run: `POST https://api.doitong.com/v1/run/flux-2-lora-gallery/multiple-angles`
- Quote: `POST https://api.doitong.com/v1/quote/flux-2-lora-gallery/multiple-angles`
- Docs page: https://doitong.com/th/developers/models/flux-2-lora-gallery/multiple-angles

## Pricing

Price: **$0.021 / image**. Estimated from the typical cost of one run, per output (`num_images`). The quote is exactly what the run charges.

The full example input below costs $0.021 = 21 API credits (1 image × 21 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/flux-2-lora-gallery/multiple-angles` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `image_urls` | `images` | array of image URL | yes |  |  | URL ที่ชี้ไปยังรูปภาพซึ่งจะปรับมุมกล้อง |
| `horizontal_angle` |  | number | no | `0` | 0 – 360 | การหมุนกล้องในแนวนอนรอบวัตถุ วัดเป็นองศา: 0° หันไปด้านหน้า, 90° แสดงด้านขวา, 180° แสดงด้านหลัง, 270° แสดงด้านซ้าย และ 360° กลับมาด้านหน้า |
| `vertical_angle` |  | number | no | `0` | 0 – 60 | มุมกล้องในแนวตั้ง วัดเป็นองศา: 0° ให้มุมมองระดับสายตา, 30° ให้มุมมองจากด้านบน และ 60° ให้มุมมองมุมสูงที่มองลงมาจากด้านบน |
| `zoom` |  | number | no | `5` | 0 – 10 | ระยะกล้องหรือการซูม: 0 ให้ภาพมุมกว้างจากระยะไกล, 5 ให้ภาพระยะปกติขนาดปานกลาง และ 10 ให้ภาพระยะใกล้มากแบบโคลสอัป |
| `image_size` |  | object {width, height} \| enum (string) \| null | no |  | `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | การแทนที่ขนาดเอาต์พุต หากไม่ระบุจะคงขนาดของรูปภาพอินพุตไว้ |
| `guidance_scale` |  | number | no | `2.5` | 0 – 20 | สเกลคำแนะนำสำหรับ CFG (Classifier Free Guidance) |
| `num_inference_steps` |  | integer | no | `40` | 4 – 50 | จำนวนขั้นตอน inference ที่ต้องดำเนินการ |
| `acceleration` |  | enum (string) | no | `regular` | `none`, `regular` | การตั้งค่าการเร่งความเร็วของการสร้างรูปภาพ |
| `seed` |  | integer \| null | no |  |  | Seed ที่ควบคุมความสุ่มเพื่อให้ได้ผลลัพธ์ที่สร้างซ้ำได้ |
| `enable_safety_checker` |  | boolean | no | `true` |  | สวิตช์ตรวจสอบความปลอดภัย ซึ่งการปิดจะมีผลเฉพาะบัญชีที่ได้รับอนุญาต คำขอทั้งหมดที่ไม่มีสิทธิ์ดังกล่าวจะผ่านการตรวจสอบความปลอดภัย |
| `output_format` |  | enum (string) | no | `png` | `png`, `jpeg`, `webp` | รูปแบบไฟล์ของรูปภาพผลลัพธ์ |
| `num_images` | `num_outputs` | integer | no | `1` | 1 – 4 | จำนวนรูปภาพที่จะสร้าง |
| `lora_scale` |  | number | no | `1` | 0 – 2 | ความเข้มของเอฟเฟกต์หลายมุม |

File parameters (`images`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "images": [
    "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  ]
}
```

A fuller example:

```json
{
  "image_urls": [
    "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  ]
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flux-2-lora-gallery/multiple-angles?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-2-lora-gallery/multiple-angles?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "image_urls": [
        "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    ],
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-2-lora-gallery/multiple-angles", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "flux-2-lora-gallery/multiple-angles",
      "input": {
        "image_urls": [
          "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
        ]
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-lora-gallery/multiple-angles",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 21,
    "usd": "0.021",
    "charged": 21,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `images` | array of object {url, content_type, file_name, file_size, width, height} | รูปภาพเอาต์พุตที่แสดงมุมมองจากกล้องหลายมุม |
| `seed` | integer | ค่า Seed ที่ใช้ระหว่างการสร้าง |
| `prompt` | string | พรอมต์ที่ใช้ระหว่างการสร้าง |

## Related models

- [FLUX 2 Lora Gallery Hdr Style](https://doitong.com/developers/models/flux-2-lora-gallery/hdr-style.md) (`flux-2-lora-gallery/hdr-style`): $0.021 / megapixel
- [FLUX 2 Lora Gallery Realism](https://doitong.com/developers/models/flux-2-lora-gallery/realism.md) (`flux-2-lora-gallery/realism`): $0.021 / megapixel
- [Flux 2 Lora Gallery · Ballpoint Pen Sketch](https://doitong.com/developers/models/flux-2-lora-gallery/ballpoint-pen-sketch.md) (`flux-2-lora-gallery/ballpoint-pen-sketch`): $0.021 / megapixel
- [Flux 2 Lora Gallery · Digital Comic Art](https://doitong.com/developers/models/flux-2-lora-gallery/digital-comic-art.md) (`flux-2-lora-gallery/digital-comic-art`): $0.021 / megapixel
- [Flux 2 Lora Gallery · Satellite View Style](https://doitong.com/developers/models/flux-2-lora-gallery/satellite-view-style.md) (`flux-2-lora-gallery/satellite-view-style`): $0.021 / megapixel
- [Flux 2 Lora Gallery · Sepia Vintage](https://doitong.com/developers/models/flux-2-lora-gallery/sepia-vintage.md) (`flux-2-lora-gallery/sepia-vintage`): $0.021 / megapixel
- [Flux 2 Lora Gallery · Add Background](https://doitong.com/developers/models/flux-2-lora-gallery/add-background.md) (`flux-2-lora-gallery/add-background`): $0.021 / image
- [Flux 2 Lora Gallery · Apartment Staging](https://doitong.com/developers/models/flux-2-lora-gallery/apartment-staging.md) (`flux-2-lora-gallery/apartment-staging`): $0.021 / image

## Links

- HTML page: https://doitong.com/developers/models/flux-2-lora-gallery/multiple-angles
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=flux-2-lora-gallery/multiple-angles
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/flux-2-lora-gallery/multiple-angles
